<html>
	<head>
		<style type= "text/css">
		
			* {
				font-family:"Lucida Grande";
				margin:0px;
				padding:0px;	
			}
			h1 {
				font-size:.9em;
			}
			h1, p {
				padding-left:3px;
			}
			p, a {	
				color:black;
				opacity:.6;
				font-size: 0.8em;
			}
			ul {
				list-style:none;
				padding-left:5px;
			}
			a {
				display:block;
				text-decoration:none;
				border:1px white solid;
				white-space: pre;
			}
			a:hover, .selected, a:focus {
				opacity:1;
				border-color:#636B6B;
				color:green;
				background: white;
			}
			#visited1 {
				opacity:1;
			}
			#visited2 {
				opacity:.9;
			}
			#visited3 {
				opacity:.8;
			}
			#visited4 {
				opacity:.7;
			}
			#visited5 {
				opacity:.6;
			}
			.visited, .oldvisit {
				color:green;	
			}
			.oldvisit {
				opacity: .5;
			}
		</style>
		<script type="text/javascript">
		
			var max_fade = 5;
			
			function attachSelectedEvent()
			{
				anchors = document.getElementsByTagName('a');
				for (i=0; i<anchors.length; i++) {
					if (anchors[i].onclick) {
						anchors[i].postOnClick = anchors[i].onclick;
					}
					anchors[i].onclick = selectLink;
				}
			}
			
			function selectLink()
			{
				fadeOthers()
				this.id = "visited1";
				this.className = "visited";
<?
				if (!in_array('--keep-open', (array)$_SERVER['argv'])) 
					echo "\t\t\t\t window.close();\n";
?>
				if (this.postOnClick) {
					return this.postOnClick();
				} else {
					return true;
				}
			}
			
			function fadeOthers()
			{
				for (i=max_fade; i>0; i--) {
					var e	= document.getElementById( "visited" + i )
					if (e)	{
						if (i == max_fade){
							e.className = "oldvisit"
							e.removeAttribute ("id")	
						}
						else{
							e.id="visited"+(i+1)
						}
					}
				}
	
			}
			
			function postLoadInit()
			{
				setf();
				attachSelectedEvent();
			}

			function setf() 
			{
				var focusAnchor = document.getElementById('line_' + currentLine);
				if (!focusAnchor) {
					var anchors = document.getElementsByTagName('a');
					focusAnchor = anchors[0];	 
				}
				focusAnchor.focus();
			}
			
			window.onload=postLoadInit;
		</script>
	</head>
	<body>
		<h1>Entities for <?php echo getenv('TM_FILENAME'); ?>:</h1> 
		<p> (option-tab to move down, shift-option-tab to move up) </p>
		<br />
		<ul id="list">
<?php

	while ( ($line = fgets(STDIN)) !== false ) {
		
		if ( ($token = strpos($line, ':')) === false) {
			$lineNum = 0;
		} else {
			
			$lineNum = substr($line, 0, $token);
			if ( getenv('TM_LINE_NUMBER') < $lineNum )
			{
				$current = $prev;
			}
			$prev	 = $lineNum;
			$line	 = substr($line, $token + 1);
		}
		
		echo implode('', array(
			"\t\t\t<li ><a id=\"line_{$lineNum}\" href=\"txmt://open?url=file://", getenv('TM_FILEPATH'), "&amp;line={$lineNum}\">", 
			$line, "</a></li>\n"));
	}
?>
		</ul>
		<script type="text/javascript" language="javascript" charset="utf-8">
		// <![CDATA[
			var currentLine = <?php echo $current;	?>;
		// ]]>
		</script>
	</body>
</html>

